EDIT - feature request #6387

[Rule] Rank rule for CultivarPlantNames
01/26/2017 04:21 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

The only possible ranks for cultivars are CULTIVAR, GREX, CULTIVAR_GROUP, GRAFT_CHIMAERA or
DENOMINATION_CLASS.

See comment on ICultivarPlantName

www.actahort.org/chronica/pdf/sh_10.pdf

https://de.wikipedia.org/wiki/Internationaler_Code_der_Nomenklatur_der_Kulturpflanzen

https://en.wikipedia.org/wiki/Grex_(horticulture)

https://en.wikipedia.org/wiki/Graft-chimaera

Note: CONVAR was prior in this list too, but turned out to be not a cultivar rank.

We still need to discuss if graft-chimaera and demonitation classes are really ranks or only flags.

Related issues:
Related to EDIT - feature request #9754: Adapt cache strategy to support cult... Closed
Related to EDIT - feature request #9755: Open issues for cultivar handling In Progress

Associated revisions

Revision af10946¢ - 09/22/2021 02:05 PM - Andreas Miiller

ref #6387 test that convar is not a cultivar

Revision f263ddd1 - 09/23/2021 01:06 PM - Andreas Miiller

ref #6387 add code validation for cultivar group epi

History

#1 - 09/11/2021 03:02 PM - Andreas Miuller

- Tags changed from validation to validation, cultivar

#2 - 09/11/2021 03:02 PM - Andreas Miller

- Related to feature request #9754: Adapt cache strategy to support cultivar names added

#3 - 09/11/2021 04:27 PM - Andreas Miuller

- Related to feature request #9755: Open issues for cultivar handling added

#4 - 09/14/2021 03:49 PM - Andreas Miuller

- Description updated

#5 - 09/14/2021 04:14 PM - Andreas Miuller

- Description updated

On convar see https://github.com/tdwg/tnc/blob/master/tcs-deconstructed/TaxonomicRank.md#taxonomicrankcultivatedplants and
https://www.garten-treffpunkt.de/lexikon/botanik.aspx#convarietaet

04/23/2024 1/2



http://www.actahort.org/chronica/pdf/sh_10.pdf
https://de.wikipedia.org/wiki/Internationaler_Code_der_Nomenklatur_der_Kulturpflanzen
https://en.wikipedia.org/wiki/Grex_(horticulture)
https://en.wikipedia.org/wiki/Graft-chimaera
https://github.com/tdwg/tnc/blob/master/tcs-deconstructed/TaxonomicRank.md#taxonomicrankcultivatedplants
https://www.garten-treffpunkt.de/lexikon/botanik.aspx#convarietaet

#6 - 09/14/2021 04:38 PM - Andreas Miiller

- Description updated

#7 - 09/14/2021 04:39 PM - Andreas Miiller

- Description updated

#8 - 09/14/2021 04:41 PM - Andreas Miiller

- Description updated

#9 - 09/22/2021 01:24 PM - Andreas Miiller

- Description updated

We will not handle convar. as cultivar rank.
WGB:

ja, ich wlrde convar. pragmatisch in die Liste der ,alten botanischen Range* aufnehmen.

EIGENTLICH sind das aber alles potentiell 4-nomials, als als Zusatze zu mono-, bi- und trinomials zu benutzen. Sie mlssten dann ein extra Feld (mit
der Rangangabe) erhalten. Das ganze ist aber ein einziges Kuddelmuddel und ich wiirde da keine weitere Zeit drauf verwenden. Hintergriinde der
historischen Behandlung sind z.B. in folgendem Artikel zu finden:
https://www.google.com/url?sa=t&rct=j&g=&esrc=s&source=web&cd=&ved=2ahUKEwj-s_uNsZL zAhV8SPEDHWOj|CksQFnoECAMQAQ&url=https%
3A%2F%2Fwww.iapt-taxon.org%2Fhistoric%2F Congress%2FIBC_1964%2Fcult_cat.pdf&usg=A0OvVaw3urGTzV6JsIP-54XEVK-3w - und seit 1961
ist das bestimmt noch komplizierter geworden. Im Artikel werden in einem Glossary auf 7 Seiten weitere Termini genannt, von denen ich oft noch nie
etwas gehort hatte.

Ein Vorschlag meinerseits: Kénnte man nicht Teile der Liste infraspezifischer Range in der angezeigten Auswahlliste verstecken und nur dann
auswahlbar machen, wenn sie eingegeben werden? Dann wiirde man sie flr die Verwendung in dieser Form (trinomial) in der Synonymie oder bei
ausgeschlossenen Namen erlauben, ohne dass die Liste unlbersichtlich wird. Fir den Fall eines expliziten 4-teiligen Namens bleibt uns ja der
Cache.

AM:

Wir verwenden dann also convar. nicht als Kultivar-Rang.

Eine Erweiterung um ein 4. Feld finde ich fUr diese seltenen Falle auch nicht sinnig. Man kann entweder den Cache verwenden oder z.B. eines der
anderen Epithet Felder mit Doppelinformation verwenden, also z.B. beim specific epithet ,species var. subspecies” und bei infraspecific dann das
convar. Epithet.

#10 - 09/22/2021 02:30 PM - Andreas Miiller
- Status changed from New to Resolved
- Priority changed from New to Highest

- Target version changed from Validation Framework 1.0 to Release 5.27

#11 - 10/15/2021 07:25 PM - Andreas Miiller
- Description updated

#12 - 10/15/2021 07:27 PM - Andreas Miiller
- Status changed from Resolved to Closed
- % Done changed from 0 to 100

Added a level 2 rule that checks if cultivar ICNCP) names have a cultivar rank.

Of course there could be much more things to check but for now this should enough as we do not have cultivars yet. Open new ticket once we have
more requirements.
